Loading...
Searching...
No Matches
fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet > Class Template Reference

template class derived from UserScaleBase::StryctureType that works for both SISCone jet classes implemented below More...

`#include <fastjet/SISConeBasePlugin.hh>`

Inheritance diagram for fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >:
[legend]
Collaboration diagram for fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >:
[legend]

## Public Member Functions

| UserScaleBaseStructureType (const Tjet &jet, const ClusterSequence &cs)
virtual | ~UserScaleBaseStructureType ()
| empty virtual dtor
virtual unsigned int | size () const
| returns the number of constituents
virtual int | constituent_index (unsigned int i) const
| returns the index (in the original particle list) of the ith constituent
virtual double | ordering_var2 () const
| returns the sm_var2 (signed ordering variable squared) for this stable cone
Public Member Functions inherited from fastjet::SISConeBasePlugin::UserScaleBase::StructureType
| StructureType (const ClusterSequence &cs)
| base ctor (constructed from a ClusterSequence tin order to have access to the initial particles
virtual | ~StructureType ()
| empty virtual dtor
virtual std::string | description () const
| the textual descripotion
virtual bool | has_constituents () const
| this structure has constituents
virtual std::vector< PseudoJet > | constituents (const PseudoJet &) const
| retrieve the constituents
const PseudoJet & | constituent (unsigned int i) const
| returns the ith constituent (as a PseusoJet)
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor
virtual bool | has_associated_cluster_sequence () const
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_exclusive_subjets () const
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const
| return the list of subjets obtained by unclustering the supplied jet down to nsub subjets (or all constituents if there are fewer than nsub).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.
virtual bool | has_pieces (const PseudoJet &) const
| return true if the structure supports pieces.
virtual std::vector< PseudoJet > | pieces (const PseudoJet &) const
| retrieve the pieces building the jet.
virtual bool | has_area () const
| check if it has a defined area
virtual double | area (const PseudoJet &reference) const
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const
| true if this jet is made exclusively of ghosts.

## Protected Attributes

const Tjet & | _jet
| a reference to the internal jet in SISCone
Protected Attributes inherited from fastjet::SISConeBasePlugin::UserScaleBase::StructureType
const ClusterSequence & | _cs
| a reference to the CS (for access to the particles)

## Detailed Description

template<class Tjet>
class fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >

template class derived from UserScaleBase::StryctureType that works for both SISCone jet classes implemented below

Definition at line 342 of file SISConeBasePlugin.hh.

## Constructor & Destructor Documentation

## UserScaleBaseStructureType()

template<class Tjet>

fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::UserScaleBaseStructureType | ( | const Tjet & | jet,
|  | const ClusterSequence & | cs )

inline

Definition at line 344 of file SISConeBasePlugin.hh.

## ~UserScaleBaseStructureType()

template<class Tjet>

virtual fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::~UserScaleBaseStructureType | ( |  | ) |

inline virtual

empty virtual dtor

Definition at line 348 of file SISConeBasePlugin.hh.

## Member Function Documentation

## size()

template<class Tjet>

virtual unsigned int fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::size | ( |  | ) | const

inline virtual

returns the number of constituents

Implements fastjet::SISConeBasePlugin::UserScaleBase::StructureType.

Definition at line 354 of file SISConeBasePlugin.hh.

## constituent_index()

template<class Tjet>

virtual int fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::constituent_index | ( | unsigned int | i | ) | const

inline virtual

returns the index (in the original particle list) of the ith constituent

Implements fastjet::SISConeBasePlugin::UserScaleBase::StructureType.

Definition at line 360 of file SISConeBasePlugin.hh.

## ordering_var2()

template<class Tjet>

virtual double fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::ordering_var2 | ( |  | ) | const

inline virtual

returns the sm_var2 (signed ordering variable squared) for this stable cone

Implements fastjet::SISConeBasePlugin::UserScaleBase::StructureType.

Definition at line 370 of file SISConeBasePlugin.hh.

## Member Data Documentation

## _jet

template<class Tjet>

const Tjet& fastjet::SISConeBasePlugin::UserScaleBaseStructureType< Tjet >::_jet

protected

a reference to the internal jet in SISCone

Definition at line 375 of file SISConeBasePlugin.hh.

The documentation for this class was generated from the following file:

- plugins/SISCone/fastjet/SISConeBasePlugin.hh